You might see error messages, or inconsistent status icons in vRealize Operations Manager if you do not upgrade to the compatible versions of vRealize Operations Manager and vRealize Application Remote Collector.

Problem

vRealize Application Remote Collector UI Problems
  • You cannot update your endpoint VM to have the latest vRealize Application Remote Collector agent.
  • If you bootstrap/re-bootstrap a VM after upgrading vRealize Application Remote Collector you cannot activate the newly discovered application. You see an error message if you try to activate it.
Manage vRealize Application Remote Collector UI Problems
  • You can see an option to update the endpoint agent but you are unable to perform the update.
  • Services supported in the latest versions of vRealize Application Remote Collector cannot be discovered.

Cause

The first set of problems occurs because vRealize Application Remote Collector is upgraded to the latest version, but vRealize Operations Manager is an old version.

The second set of problems occurs because vRealize Operations Manager is upgraded to the latest version, but vRealize Application Remote Collector is in version 1.x.

Solution

  • Upgrade to the compatible versions of vRealize Operations Manager and vRealize Application Remote Collector.
    Note: For more troubleshooting steps, see Troubleshooting Agent Installation.